# Generated by Django 3.2 on 2021-05-09 18:53

from django.db import migrations, models
import users.models


class Migration(migrations.Migration):

    dependencies = [
        ('users', '0005_user_childrens'),
    ]

    operations = [
        migrations.AddField(
            model_name='user',
            name='allergies',
            field=models.JSONField(default=users.models.default_allergies),
        ),
        migrations.AddField(
            model_name='user',
            name='animals',
            field=models.JSONField(default=users.models.default_animals),
        ),
        migrations.AddField(
            model_name='user',
            name='dateOfConnectToPL',
            field=models.DateField(auto_now_add=True, default='1900-01-01'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='user',
            name='dateOfLastTransaction',
            field=models.DateField(auto_now=True),
        ),
        migrations.AddField(
            model_name='user',
            name='have_animals',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='user',
            name='marital',
            field=models.CharField(blank=True, default='', max_length=16),
        ),
        migrations.AddField(
            model_name='user',
            name='parent',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='user',
            name='preferences',
            field=models.JSONField(default=users.models.default_allergies),
        ),
    ]
